QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
QXmppVCardIq Class Reference

Represents the XMPP vCard. More...

`#include <QXmppVCardIq.h>`

Inheritance diagram for QXmppVCardIq:

List of all members.

## Public Member Functions
| QXmppVCardIq (const QString &bareJid="")
QDate | birthday () const
void | setBirthday (const QDate &birthday)
QString | email () const
void | setEmail (const QString &)
QString | firstName () const
void | setFirstName (const QString &)
QString | fullName () const
void | setFullName (const QString &)
QString | lastName () const
void | setLastName (const QString &)
QString | middleName () const
void | setMiddleName (const QString &)
QString | nickName () const
void | setNickName (const QString &)
QByteArray | photo () const
void | setPhoto (const QByteArray &)
| Sets the photo's binary contents.
QString | photoType () const
| Returns the photo's MIME type.
void | setPhotoType (const QString &type)
| Sets the photo's MIME type.
QString | url () const
void | setUrl (const QString &)

## Detailed Description

Represents the XMPP vCard.

The functions names are self explanatory. Look at QXmppVCardManager and XEP-0054: vcard-temp for more details.

There are many field of XMPP vCard which are not present in this class. File a issue for the same. We will add the requested field to this class.

## Constructor & Destructor Documentation

QXmppVCardIq::QXmppVCardIq | ( | const QString & | jid = `""` | ) |

Constructs a QXmppVCardIq for the specified recipient.

Parameters:

  jid |

## Member Function Documentation

QDate QXmppVCardIq::birthday | ( |  | ) | const

Returns the date of birth of the individual associated with the vCard.

QString QXmppVCardIq::email | ( |  | ) | const

Returns the email address.

QString QXmppVCardIq::firstName | ( |  | ) | const

Returns the first name.

QString QXmppVCardIq::fullName | ( |  | ) | const

Returns the full name.

QString QXmppVCardIq::lastName | ( |  | ) | const

Returns the last name.

QString QXmppVCardIq::middleName | ( |  | ) | const

Returns the middle name.

QString QXmppVCardIq::nickName | ( |  | ) | const

Returns the nickname.

QByteArray QXmppVCardIq::photo | ( |  | ) | const

Returns the photo's binary contents.

If you want to use the photo as a QImage you can use:

     QBuffer buffer;
     buffer.setData(myCard.photo());
     buffer.open(QIODevice::ReadOnly);
     QImageReader imageReader(&buffer);
     QImage myImage = imageReader.read();

void QXmppVCardIq::setBirthday | ( | const QDate & | birthday | ) |

Sets the date of birth of the individual associated with the vCard.

Parameters:

  birthday |

void QXmppVCardIq::setEmail | ( | const QString & | email | ) |

Sets the email address.

Parameters:

  email |

void QXmppVCardIq::setFirstName | ( | const QString & | firstName | ) |

Sets the first name.

Parameters:

  firstName |

void QXmppVCardIq::setFullName | ( | const QString & | fullName | ) |

Sets the full name.

Parameters:

  fullName |

void QXmppVCardIq::setLastName | ( | const QString & | lastName | ) |

Sets the last name.

Parameters:

  lastName |

void QXmppVCardIq::setMiddleName | ( | const QString & | middleName | ) |

Sets the middle name.

Parameters:

  middleName |

void QXmppVCardIq::setNickName | ( | const QString & | nickName | ) |

Sets the nickname.

Parameters:

  nickName |

void QXmppVCardIq::setUrl | ( | const QString & | url | ) |

Sets the URL associated with the vCard. It can represent the user's homepage or a location at which you can find real-time information about the vCard.

Parameters:

  url |

QString QXmppVCardIq::url | ( |  | ) | const

Returns the URL associated with the vCard. It can represent the user's homepage or a location at which you can find real-time information about the vCard.

The documentation for this class was generated from the following files:

- QXmppVCardIq.h
- QXmppVCardIq.cpp

All Classes Functions Enumerations Enumerator Properties